/****************************************************************************** 

  (c) 2004-2012 Scientific Computation Research Center, 
      Rensselaer Polytechnic Institute. All rights reserved.
  
  The LICENSE-SCOREC file included with this distribution describes the terms
  of the SCOREC Non-Commercial License this program is distributed under.
 
*******************************************************************************/
#ifdef FMDB_PARALLEL

#ifndef PM_TRELLIS_H
#define PM_TRELLIS_H

#include <vector>
#include "mPart.h"
#include "mEntity.h"

void assignUniqueRange(mPart* theMesh, unsigned int startRangeTag,
                      unsigned int endRangeTag, int initialRangeValue,
                      std::vector<mEntity*> & entities, 
		      std::vector<int> & numInt); 
#endif
#endif /* PARALLEL */
